Subject: Re: linux-next: build warning after merge of the device-mapper tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 30 Jul 2024 23:36:55 +1000

Hi Mikulas,

On Tue, 30 Jul 2024 13:54:13 +0200 (CEST) Mikulas Patocka <[email-masked]> wrote:
>
> On Tue, 30 Jul 2024, Stephen Rothwell wrote:
> 
> > On Wed, 10 Jul 2024 17:48:39 +0200 (CEST) Mikulas Patocka <[email-masked]> wrote:  
> > >
> > > On Wed, 10 Jul 2024, Stephen Rothwell wrote:
> > >   
> > > > On Tue, 9 Jul 2024 11:56:27 +0200 (CEST) Mikulas Patocka <[email-masked]> wrote:    
> > > > >
> > > > > On Tue, 9 Jul 2024, Stephen Rothwell wrote:
> > > > >     
> > > > > > After merging the device-mapper tree, today's linux-next build (htmldocs)
> > > > > > produced this warning:
> > > > > > 
> > > > > > Documentation/admin-guide/device-mapper/dm-crypt.rst:168: ERROR: Unexpected indentation.
> > > > > > 
> > > > > > Introduced by commit
> > > > > > 
> > > > > >   04a1020ad350 ("dm-crypt: limit the size of encryption requests")    
> > > > > 
> > > > > How should it be fixed? Delete the '-' character? Or some other change?    
> > > > 
> > > > Looking a few lines above shows indented paragraphs without the '-'
> > > > which seems to work.    
> > > 
> > > I hopefully fixed that.  
> > 
> > I am sill seeing this warning.  
> 
> So, send a patch for it.
> 
> I don't know whats wrong with that documentation file.

I am not sure either, but the following fixes it for me (but I don't
know if this produces the current output, sorry):

diff --git a/Documentation/admin-guide/device-mapper/dm-crypt.rst b/Documentation/admin-guide/device-mapper/dm-crypt.rst
index e625830d335e..08ff2df77be7 100644
--- a/Documentation/admin-guide/device-mapper/dm-crypt.rst
+++ b/Documentation/admin-guide/device-mapper/dm-crypt.rst
@@ -161,9 +161,9 @@ iv_large_sectors
    if this flag is specified.

-Module parameters::
-max_read_size
-max_write_size
+Module parameters:
+
+max_read_size max_write_size
    Maximum size of read or write requests. When a request larger than this size
    is received, dm-crypt will split the request. The splitting improves
    concurrency (the split requests could be encrypted in parallel by multiple

-- 
Cheers,
Stephen Rothwell